Exclude details of items shared with the guest by setting this parameter to false. By default this parameter is set to true.
custom_task_ids
boolean
No
—
If you want to reference a task by it’s custom task id, this value must be true.
team_id
number
No
—
When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123.
permission_level
string
Yes
—
Can be read (view only), comment, edit, or create (full).
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "task_id": { "type": "string", "description": "Task Id" }, "guest_id": { "type": "number", "description": "Guest Id" }, "include_shared": { "type": "boolean", "description": "Exclude details of items shared with the guest by setting this parameter to `false`. By default this parameter is set to `true`." }, "custom_task_ids": { "type": "boolean", "description": "If you want to reference a task by it's custom task id, this value must be `true`." }, "team_id": { "type": "number", "description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`." }, "permission_level": { "type": "string", "description": "Can be `read` (view only), `comment`, `edit`, or `create` (full)." } }, "required": [ "PCID", "task_id", "guest_id", "permission_level" ]}
If notify_all is true, the creator of the comment will also be notified. Other assignees and watchers on the view are always notified regardless of this setting.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "view_id": { "type": "string", "description": "105 (string)" }, "comment_text": { "type": "string", "description": "Comment Text" }, "notify_all": { "type": "boolean", "description": "If `notify_all` is true, the creator of the comment will also be notified. Other assignees and watchers on the view are always notified regardless of this setting." } }, "required": [ "PCID", "view_id", "comment_text", "notify_all" ]}
If notify_all is true, the creator of the comment will also be notified. Other assignees and watchers on the List are always notified regardless of this setting.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "list_id": { "type": "number", "description": "List Id" }, "assignee": { "type": "integer", "description": "The assignee value" }, "comment_text": { "type": "string", "description": "Comment Text" }, "notify_all": { "type": "boolean", "description": "If `notify_all` is true, the creator of the comment will also be notified. Other assignees and watchers on the List are always notified regardless of this setting." } }, "required": [ "PCID", "list_id", "assignee", "comment_text", "notify_all" ]}
If you want to reference a task by it’s custom task id, this value must be true.
team_id
number
No
—
When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123.
assignee
integer
No
—
The assignee value
comment_text
string
Yes
—
Comment Text
group_assignee
string
No
—
Group Assignee
notify_all
boolean
Yes
—
If notify_all is true, the creator of the comment will also be notified. Other assignees and watchers on the task are always notified regardless of this setting.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "task_id": { "type": "string", "description": "Task Id" }, "custom_task_ids": { "type": "boolean", "description": "If you want to reference a task by it's custom task id, this value must be `true`." }, "team_id": { "type": "number", "description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`." }, "assignee": { "type": "integer", "description": "The assignee value" }, "comment_text": { "type": "string", "description": "Comment Text" }, "group_assignee": { "type": "string", "description": "Group Assignee" }, "notify_all": { "type": "boolean", "description": "If `notify_all` is true, the creator of the comment will also be notified. Other assignees and watchers on the task are always notified regardless of this setting." } }, "required": [ "PCID", "task_id", "comment_text", "notify_all" ]}
If notify_all is true, the creator of the comment will also be notified. Other assignees and watchers on the task are always notified regardless of this setting.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "comment_id": { "type": "number", "description": "Comment Id" }, "assignee": { "type": "integer", "description": "The assignee value" }, "comment_text": { "type": "string", "description": "Comment Text" }, "group_assignee": { "type": "string", "description": "Group Assignee" }, "notify_all": { "type": "boolean", "description": "If `notify_all` is true, the creator of the comment will also be notified. Other assignees and watchers on the task are always notified regardless of this setting." } }, "required": [ "PCID", "comment_id", "comment_text", "notify_all" ]}
Enter the date of a List info comment using Unix time in milliseconds.
start_id
string
No
—
Enter the Comment id of a List info comment.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "list_id": { "type": "number", "description": "List Id" }, "start": { "type": "integer", "description": "Enter the `date` of a List info comment using Unix time in milliseconds." }, "start_id": { "type": "string", "description": "Enter the Comment `id` of a List info comment." } }, "required": [ "PCID", "list_id" ]}
If you want to reference a task by it’s custom task id, this value must be true.
team_id
number
No
—
When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123.
start
integer
No
—
The Unix timestamp (in milliseconds) of the reference comment. Required for pagination. Must be used in combination with start_id. \ Value should be the date of the last comment from the previous response.
start_id
string
No
—
The unique ID of the reference comment. Required for pagination. Must be used in combination with start. \ Value should be the id of the last comment from the previous response.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "task_id": { "type": "string", "description": "Task Id" }, "custom_task_ids": { "type": "boolean", "description": "If you want to reference a task by it's custom task id, this value must be `true`." }, "team_id": { "type": "number", "description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`." }, "start": { "type": "integer", "description": "The Unix timestamp (in milliseconds) of the reference comment. Required for pagination. Must be used in combination with `start_id`. \\ Value should be the `date` of the last comment from the previous response." }, "start_id": { "type": "string", "description": "The unique ID of the reference comment. Required for pagination. Must be used in combination with `start`. \\ Value should be the `id` of the last comment from the previous response." } }, "required": [ "PCID", "task_id" ]}
Workspace ID. Note: For this endpoint, `team_id“ is a required query parameter.
group_ids
string[]
No
—
Enter one or more User Group IDs to retrieve information about specific User Group(s).\ \ For example: \ \ ?team_id=12456&group_ids=ABC12345&group_ids=DEF98765
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "team_id": { "type": "number", "description": "Workspace ID. **Note**: For this endpoint, `team_id`` is a required query parameter." }, "group_ids": { "type": "array", "items": { "type": "string" }, "description": "Enter one or more User Group IDs to retrieve information about specific User Group(s).\\ \\ For example: \\ \\ `?team_id=12456&group_ids=ABC12345&group_ids=DEF98765`" } }, "required": [ "PCID", "team_id" ]}
Exclude details of items shared with the guest by setting this parameter to false. By default this parameter is set to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "team_id": { "type": "number", "description": "Workspace ID" }, "user_id": { "type": "number", "description": "User Id" }, "include_shared": { "type": "boolean", "description": "Exclude details of items shared with the guest by setting this parameter to `false`. By default this parameter is set to `true`." } }, "required": [ "PCID", "team_id", "user_id" ]}
Exclude details of items shared with the guest by setting this parameter to false. By default this parameter is set to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "folder_id": { "type": "number", "description": "Folder Id" }, "guest_id": { "type": "number", "description": "Guest Id" }, "include_shared": { "type": "boolean", "description": "Exclude details of items shared with the guest by setting this parameter to `false`. By default this parameter is set to `true`." } }, "required": [ "PCID", "folder_id", "guest_id" ]}
Exclude details of items shared with the guest by setting this parameter to false. By default this parameter is set to true.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "list_id": { "type": "number", "description": "List Id" }, "guest_id": { "type": "number", "description": "Guest Id" }, "include_shared": { "type": "boolean", "description": "Exclude details of items shared with the guest by setting this parameter to `false`. By default this parameter is set to `true`." } }, "required": [ "PCID", "list_id", "guest_id" ]}
Exclude details of items shared with the guest by setting this parameter to false. By default this parameter is set to true.
custom_task_ids
boolean
No
—
If you want to reference a task by it’s custom task id, this value must be true.
team_id
number
No
—
When the custom_task_ids parameter is set to true, the Workspace ID must be provided using the team_id parameter. \ For example: custom_task_ids=true&team_id=123.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "task_id": { "type": "string", "description": "Task Id" }, "guest_id": { "type": "number", "description": "Guest Id" }, "include_shared": { "type": "boolean", "description": "Exclude details of items shared with the guest by setting this parameter to `false`. By default this parameter is set to `true`." }, "custom_task_ids": { "type": "boolean", "description": "If you want to reference a task by it's custom task id, this value must be `true`." }, "team_id": { "type": "number", "description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter. \\ For example: `custom_task_ids=true&team_id=123`." } }, "required": [ "PCID", "task_id", "guest_id" ]}